---
name: cli-plugins-skills
description: Manage Omni Skills (list, install, test, remove), plugins (create, configure), and persistent memory (search, add, clear) from the CLI.
---
<!-- generated by src/lib/agentSkills/generator.ts; manual edits will be overwritten -->

## Overview

Manage Omni Skills (list, install, test, remove), plugins (create, configure), and persistent memory (search, add, clear) from the CLI.

## Quick install

```bash
npm install -g omniroute   # or: npx omniroute
omniroute --version
```

## Subcommands

### `memory`

**Example:**

```bash
omniroute memory
```

### `memory search <query>`

**Flags:**

- `--type <type>`
- `--limit <n>`
- `--api-key <key>`
- `--token-budget <n>`

**Example:**

```bash
omniroute memory search <query>
```

### `memory add`

**Flags:**

- `--content <text>`
- `--file <path>`
- `--type <type>`
- `--metadata <json>`
- `--api-key <key>`

**Example:**

```bash
omniroute memory add
```

### `memory clear`

**Flags:**

- `--type <type>`
- `--older-than <duration>`
- `--api-key <key>`
- `--yes`

**Example:**

```bash
omniroute memory clear
```

### `memory list`

**Flags:**

- `--type <type>`
- `--limit <n>`
- `--api-key <key>`

**Example:**

```bash
omniroute memory list
```

### `memory get <id>`

**Example:**

```bash
omniroute memory get <id>
```

### `memory delete <id>`

**Flags:**

- `--yes`

**Example:**

```bash
omniroute memory delete <id>
```

### `memory health`

**Example:**

```bash
omniroute memory health
```

### `PLUGIN_NAME`

**Example:**

```bash
omniroute PLUGIN_NAME
```

### `plugin plugin`

**Example:**

```bash
omniroute plugin plugin
```

### `plugin list`

**Example:**

```bash
omniroute plugin list
```

### `plugin install <name>`

**Flags:**

- `-y, --yes`

**Example:**

```bash
omniroute plugin install <name>
```

### `plugin remove <name>`

**Flags:**

- `-y, --yes`

**Example:**

```bash
omniroute plugin remove <name>
```

### `plugin info <name>`

**Example:**

```bash
omniroute plugin info <name>
```

### `plugin search [query]`

**Example:**

```bash
omniroute plugin search [query]
```

### `plugin update [name]`

**Example:**

```bash
omniroute plugin update [name]
```

### `plugin scaffold <name>`

**Example:**

```bash
omniroute plugin scaffold <name>
```

### `marketplace`

**Example:**

```bash
omniroute marketplace
```

### `skills search [query]`

**Flags:**

- `--category <c>`
- `--tag <t>`
- `--limit <n>`
- `--sort <s>`

**Example:**

```bash
omniroute skills search [query]
```

### `skills info <packageId>`

**Example:**

```bash
omniroute skills info <packageId>
```

### `skills install <packageId>`

**Flags:**

- `--version <v>`
- `--enable`
- `--yes`

**Example:**

```bash
omniroute skills install <packageId>
```

### `skills categories`

**Example:**

```bash
omniroute skills categories
```

### `skills featured`

**Example:**

```bash
omniroute skills featured
```

### `skills skills`

**Example:**

```bash
omniroute skills skills
```

### `skills list`

**Flags:**

- `--type <type>`
- `--enabled`
- `--disabled`
- `--api-key <key>`

**Example:**

```bash
omniroute skills list
```

### `skills get <id>`

**Example:**

```bash
omniroute skills get <id>
```

### `skills install`

**Flags:**

- `--from-file <path>`
- `--from-url <url>`
- `--type <type>`
- `--enable`

**Example:**

```bash
omniroute skills install
```

### `skills enable <id>`

**Example:**

```bash
omniroute skills enable <id>
```

### `skills disable <id>`

**Flags:**

- `--yes`

**Example:**

```bash
omniroute skills disable <id>
```

### `skills delete <id>`

**Flags:**

- `--yes`

**Example:**

```bash
omniroute skills delete <id>
```

### `skills execute <id>`

**Flags:**

- `--input <json>`
- `--input-file <path>`
- `--timeout <ms>`

**Example:**

```bash
omniroute skills execute <id>
```

### `skills executions`

**Flags:**

- `--skill <id>`
- `--limit <n>`
- `--status <s>`

**Example:**

```bash
omniroute skills executions
```

### `skills skillssh`

**Example:**

```bash
omniroute skills skillssh
```

### `skills list`

**Example:**

```bash
omniroute skills list
```

### `skills install <url>`

**Example:**

```bash
omniroute skills install <url>
```
